## com.lowagie.text.rtf
Class GenericRtfField

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField
              com.lowagie.text.rtf.GenericRtfField

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

Direct Known Subclasses:
  RtfPageNumber

Deprecated. Please move to the RtfWriter2 and associated classes.

    public class GenericRtfField

extends AbstractRtfField
implements RtfField

This class implements a generic RtfField. This class is based on the RtfWriter-package from Mark Hall. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Since:
  Mon Aug 19 14:50:39 2002
Version:
  $Id: GenericRtfField.java,v 1.19 2006/09/12 13:12:53 blowagie Exp $
Author:
  Dirk Weigenand (Dirk.Weigenand@smb-tec.com)

Field Summary
`protected java.lang.String` `fieldInst` Deprecated. Field Initialization Stuff.
`protected java.lang.String` `fieldResult` Deprecated. Field Result Stuff.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Constructor Summary
`GenericRtfField(java.lang.String fieldInst, java.lang.String fieldResult)` Deprecated. public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.
`GenericRtfField(java.lang.String fieldInst, java.lang.String fieldResult, Font font)` Deprecated. public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

Method Summary
`void` `writeRtfFieldInitializationStuff(java.io.OutputStream out)` Deprecated. method for writing custom stuff to the Field Initialization Stuff part of an RtfField.
`void` `writeRtfFieldResultStuff(java.io.OutputStream out)` Deprecated. method for writing custom stuff to the Field Result part of an RtfField.

Methods inherited from class com.lowagie.text.rtf.AbstractRtfField
`content, isAlt, isDirty, isLocked, isPrivate, setAlt, setDirty, setEdited, setLocked, setPrivate, wasEdited, write, writeRtfFieldBegin, writeRtfFieldEnd, writeRtfFieldInstBegin, writeRtfFieldInstEnd, writeRtfFieldModifiers, writeRtfFieldResultBegin, writeRtfFieldResultEnd`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfField
`write`

Field Detail

### fieldInst

    protected java.lang.String fieldInst

  Deprecated.
  Field Initialization Stuff.

### fieldResult

    protected java.lang.String fieldResult

  Deprecated.
  Field Result Stuff.

Constructor Detail

### GenericRtfField

    public GenericRtfField(java.lang.String fieldInst,
                           java.lang.String fieldResult)

  Deprecated.
  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

  Parameters:
    `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
    `fieldResult` - data to be written into the Field Result part of the RtfField.

### GenericRtfField

    public GenericRtfField(java.lang.String fieldInst,
                           java.lang.String fieldResult,
                           Font font)

  Deprecated.
  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

  Parameters:
    `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
    `fieldResult` - data to be written into the Field Result part of the RtfField.
    `font` -

Method Detail

### writeRtfFieldInitializationStuff

    public void writeRtfFieldInitializationStuff(java.io.OutputStream out)
                                          throws java.io.IOException

  Deprecated.
  method for writing custom stuff to the Field Initialization Stuff part of an RtfField.

  Specified by:
    `writeRtfFieldInitializationStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldResultStuff

    public void writeRtfFieldResultStuff(java.io.OutputStream out)
                                  throws java.io.IOException

  Deprecated.
  method for writing custom stuff to the Field Result part of an RtfField.

  Specified by:
    `writeRtfFieldResultStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `java.io.IOException`